Bug 1145364 - EAR deployment overlay did not work if there is no related resource included in the ear
Summary: EAR deployment overlay did not work if there is no related resource included ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Server
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR3
: EAP 6.4.0
Assignee: Stuart Douglas
QA Contact: Pavel Slavicek
eap-docs
URL:
Whiteboard:
Depends On:
Blocks: 1055229
TreeView+ depends on / blocked
 
Reported: 2014-09-22 23:53 UTC by Stuart Douglas
Modified: 2019-08-19 12:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:41:16 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker WFCORE-83 Major Resolved EAR deployment overlay did not work if there is no related resource included in the ear 2016-03-30 03:23:43 UTC

Description Stuart Douglas 2014-09-22 23:53:37 UTC
It is possible to overlay WEB-inf/lib/xy.jar without having xy.jar included in the war file.
If an EAR file is used a module in the lib directory can not be added in the same way. But overlay is working if the lib/xy.jar is available.

Comment 1 baranowb 2014-09-26 08:28:49 UTC
This impact not only EARs.

Comment 2 Kabir Khan 2014-09-26 09:34:10 UTC
https://github.com/jbossas/jboss-eap/pull/1699

Comment 3 Jan Martiska 2014-09-30 12:08:22 UTC
Verified in EAP 6.4.0.DR3.


Note You need to log in before you can comment on or make changes to this bug.